Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

New Premium Module: Tyrants of the Moonsea! Read More
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

[Request] WeidU for Windows Download link

MaerdylMaerdyl Member Posts: 15
edited May 2017 in General Modding
I've been thinking about starting my own mod for a while now and after reading many topics around here i quickly realized that WeidU was a must have to start doing anything meaningful in terms of modding.

However it seems that all links to download this tool are dead, at least they all show a nice "404 Not Found" page for me. I've been searching for weeks to no avail, i can't get my hands on this tool and i desperately require it to move forward.

I'm looking for a kind soul that'd be able to provide me with a working link or share his/her installation files with me through a hosting site (or any other method if necessary).


In hopes of a response.

Maerdyl

Post edited by Maerdyl on

Comments

  • argent77argent77 Member Posts: 2,809
    edited May 2017
    WeiDU links: Current stable WeiDU (v240) doesn't support PST:EE yet. You have to use latest beta WeiDU (v240.01) in this case.

    Ilya_RysenkovPeter_Paladinrutherford
  • MaerdylMaerdyl Member Posts: 15
    Wow, that was fast !

    You have my deepest thanks for providing me with those links.

  • subtledoctorsubtledoctor Member Posts: 11,469
    argent77 said:

    Current stable WeiDU (v240) doesn't support PST:EE yet. You have to use latest beta WeiDU (v240.01) in this case.

    Does Weidu's auto-update change stable versions to the beta? What's the status of this at the moment?

    To be on the safe side @Maerdyl please use the stable version unless you are specifically making a mod for PSTEE. We had a lot of trouble with the 239-240 transition and there's no need to repeat it.

  • argent77argent77 Member Posts: 2,809
    Unfortunately WeiDU's auto-update doesn't make a distinction between stable and beta versions and will always update to the latest version (i.e. v240 will be updated to v240.01 if available).

    That's why I would also normally discourage from using a WeiDU beta. However, WeiDU beta v240.01 appears to be fully backwards-compatible with v240, and I don't see any indications that it will change with v241.

    Imo, mods requiring a WeiDU beta (as it's currently the case for PST:EE) should be marked beta itself to emphasize that they should be updated as soon as a new stable WeiDU version comes out.

  • subtledoctorsubtledoctor Member Posts: 11,469
    argent77 said:

    However, WeiDU beta v240.01 appears to be fully backwards-compatible with v240, and I don't see any indications that it will change with v241.

    Yeah I know, I just like to err on the side of encouraging good habits from the start, rather than work on a case-by-case basis.
    argent77 said:

    Imo, mods requiring a WeiDU beta (as it's currently the case for PST:EE) should be marked beta itself to emphasize that they should be updated as soon as a new stable WeiDU version comes out.

    Agree.

Sign In or Register to comment.